Package ghidra.program.model.pcode

# Class HighFunctionShellSymbol

java.lang.Object
ghidra.program.model.pcode.HighSymbol
ghidra.program.model.pcode.HighFunctionShellSymbol

public class HighFunctionShellSymbol extends HighSymbol
A function symbol that represents only a shell of (the name and address) the function, when no other information is available.

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.pcode.HighSymbol

  `category, categoryIndex, dtmanage, entryList, function, ID_BASE, name, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighFunctionShellSymbol(long id, String nm, Address addr, PcodeDataTypeManager manage)`
  Construct the function shell given a name and address

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `encode(Encoder encoder)`
  Encode the symbol description as an element to the stream.
  `boolean`
  `isGlobal()`
  Is this symbol in the global scope or some other global namespace

  ### Methods inherited from class ghidra.program.model.pcode.HighSymbol

  `addMapEntry, decode, decodeHeader, decodeMapSym, encodeHeader, encodeMapSym, getCategoryIndex, getDataType, getFirstUseOffset, getFirstWholeMap, getHighFunction, getHighVariable, getId, getMutability, getName, getNamespace, getPCAddress, getProgram, getSize, getStorage, getSymbol, isHiddenReturn, isIsolated, isNameLocked, isParameter, isThisPointer, isTypeLocked, setCategory, setNameLock, setTypeLock`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighFunctionShellSymbol

    public HighFunctionShellSymbol(long id, String nm, Address addr, PcodeDataTypeManager manage)
    Construct the function shell given a name and address
    Parameters:
      `id` - is an id to associate with the new symbol
      `nm` - is the given name
      `addr` - is the given address
      `manage` - is PcodeDataTypeManager to facilitate XML marshaling

- ## Method Details

  - ### isGlobal

    public boolean isGlobal()
    Description copied from class: `HighSymbol`
    Is this symbol in the global scope or some other global namespace
    Overrides:
      `isGlobal` in class `HighSymbol`
    Returns:
      true if this is global

  - ### encode

    public void encode(Encoder encoder) throws IOException
    Description copied from class: `HighSymbol`
    Encode the symbol description as an element to the stream. This does NOT save the mappings.
    Overrides:
      `encode` in class `HighSymbol`
    Parameters:
      `encoder` - is the stream encoder
    Throws:
      `IOException` - for errors in the underlying stream